# QLayoutItem Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QLayoutItem(Alignment alignment)

### Constructor Properties

- prototype: The QLayoutItem prototype object

### Prototype Object Properties

- Alignment alignment()
- ControlTypes controlTypes()
- Orientations expandingDirections()
- QRect geometry()
- bool hasHeightForWidth()
- int heightForWidth(int arg__1)
- void invalidate()
- bool isEmpty()
- QLayout layout()
- QSize maximumSize()
- int minimumHeightForWidth(int arg__1)
- QSize minimumSize()
- void setAlignment(Alignment a)
- void setGeometry(QRect arg__1)
- QSize sizeHint()
- QSpacerItem spacerItem()
- QWidget widget()

### Instance Properties

QLayoutItem objects have no special properties beyond those inherited from the QLayoutItem prototype object.